People Enrichment

Use the People Enrichment endpoint to enrich data for 1 person. To enrich data for up to 10 people with a single API call, use the Bulk People Enrichment endpoint instead.

Apollo relies on the information you pass via the endpoint's parameters to identify the correct person to enrich. If you provide more information about a person, Apollo is more likely to find a match within its database. If you only provide general information, such as a name without a domain or email address, you might receive a 200 response, but the response will indicate that no records have been enriched.

By default, this endpoint does not return personal emails or phone numbers. Use the reveal_personal_emails and reveal_phone_number parameters to retrieve emails and phone numbers.

You can also use the run_waterfall_email and run_waterfall_phone parameters to run waterfall enrichment via this endpoint. Waterfall enrichment gives you broader data coverage by checking connected third-party data sources for contact emails and phone numbers. When you call this endpoint and include at least one waterfall parameter, Apollo returns an immediate synchronous response with demographic and firmographic data, along with a waterfall enrichment request status. Apollo delivers enriched emails and/or phone numbers asynchronously to a configured webhook.

Webhook Response Details:

Webhook Requirements:

  • HTTPS Required: Your endpoint must be publicly accessible over HTTPS.

  • Rate Limiting: Ensure your webhook endpoint can handle the volume of webhook traffic sent by Apollo.

  • Idempotency: Apollo may retry webhook calls; your endpoint should be idempotent to handle duplicate payloads safely.

Using this endpoint will consume credits based on your account's pricing plan. If you run waterfall enrichment parameters, your credit usage depends on the type of data you request (emails and/or phone numbers) and which data source returns enriched data. To view a summary of Apollo's pricing, visit the public pricing page ↗ For detailed information regarding API credit usage, see the API enrichment ↗ section on the About Credits page (login required).

Query Params
string

The first name of the person. This is typically used in combination with the last_name parameter.

Example: tim

string

The last name of the person. This is typically used in combination with the first_name parameter.

Example: zheng

string

The full name of the person. This will typically be a first name and last name separated by a space. If you use this parameter, you do not need to use the first_name and last_name parameters.

Example: tim zheng

string

The email address of the person.

Example: [email protected]

string

The hashed email of the person. The email should adhere to either the MD5 or SHA-256 hash format.

Example: 8d935115b9ff4489f2d1f9249503cadf (MD5) or 97817c0c49994eb500ad0a5e7e2d8aed51977b26424d508f66e4e8887746a152 (SHA-256)

string

The name of the person's employer. This can be the current employer or a previous employer.

Example: apollo

string

The domain name for the person's employer. This can be the current employer or a previous employer. Do not include www., the @ symbol, or similar.

Example: apollo.io or microsoft.com

string

The Apollo ID for the person. Each person in the Apollo database is assigned a unique ID.

To find IDs, call the People API Search endpoint and identify the values for person_id.

Example: 587cf802f65125cad923a266

string

The URL for the person's LinkedIn profile.

Example: http://www.linkedin.com/in/tim-zheng-677ba010

boolean
Defaults to false

Set to true to enable email waterfall enrichment

boolean
Defaults to false

Set to true to enable phone waterfall enrichment

boolean
Defaults to false

Set to true if you want to enrich the person's data with personal emails. This potentially consumes credits as part of your Apollo pricing plan. The default value is false.

If a person resides in a GDPR-compliant region, Apollo will not reveal their personal email.

boolean
Defaults to false

Set to true if you want to enrich the person's data with all available phone numbers, including mobile phone numbers. This potentially consumes credits as part of your Apollo pricing plan. The default value is false.

If this parameter is set to true, you must enter a webhook URL for the webhook_url parameter. Apollo will asynchronously verify phone numbers for you, then send a JSON response that includes only details about the person's phone numbers to the webhook URL you provide. It can take several minutes for the phone numbers to be delivered.

string

If you set the reveal_phone_number parameter to true, this parameter becomes mandatory. Otherwise, do not use this parameter.

Enter the webhook URL that specifies where Apollo should send a JSON response that includes the phone number you requested. Apollo suggests testing this flow to ensure you receive the separate response with the phone number.

If phone numbers are not revealed delivered to the webhook URL, try applying UTF-8 encoding to the webhook URL.

Example: https://webhook.site/cc4cf44e-e047-4774-8dac-473d28474e40; https%3A%2F%2Fwebhook.site%2Fcc4cf44e-e047-4774-8dac-473d28474e40

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain